
Redmine - Defect #17298

Need new project when changing the svn repo address

2014-06-25 12:08 - moebius ever

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.5

Description

Enviroment:

Redmine version:2.4.5.stable

Ruby version: 2.0.0-p451 (2014-02-24) [i686-linux]

Rails version: 3.2.17

Enviroment: production

Database adapter: Mysql2

SCM:

Subversion: 1.6.11

Hello, I'm a newbie.

I installed redmine on CentOS 6.5 (i386) according to Redmine 2.0.3 with Subversion and LDAP Authentication (for Redmine and

Subversion through Redmine) on Centos 6, i386 - detailed.Details was listed above.

I found a problem in using, this problem could reproduce by these steps:

1.The host's IP is 192.168.1.4

2.login it as root

3.cd /var/www/repos

4.svnadmin create test

5.chown R apache:apache test

6.login redmine server http://192.168.1.4 as administrator(Mine is admin)

7.Create a new project 'test'

8.In project 'test', through 'settings''Repositories'-'New repository' ，create repository.

scm: subversion

main reository: checked

url:http://127.0.0.1/repos/test

login: redmine

password: xxxxxxxx

9.Through 'settings'-'Repositories'-'Members',add user 'redmine'

10.Click Repository menu before Settings menu, it works perfectly

11.But login the host again, do this:

12.login it as root

13.cd /var/www/repos

14.svnadmin create test1

15.chown R apache:apache test1

16.login Redmine server http://192.168.1.4 as administrator(Mine is admin)

17.In project 'test', through 'settings''Repositories'-'New repository' ，create repository.

scm: subversion

main reository: checked

url:http://127.0.0.1/repos/test1

login: redmine

password: xxxxxxxx

18.Click Repository menu before Settings menu, it reports:

404

The entry or revision was not found in the repository.

19.Create a new project test1, repeat steps 8-10, there are no problems.

20.I tried test2 test3..., just like above.A new repos need a new project, or it cannot be accessed.

21.I think it's a problem, so report it.

History

#1 - 2014-06-25 12:27 - Toshi MARUYAMA

2025-07-16 1/2

https://www.redmine.org/projects/redmine/wiki/Redmine_203_with_Subversion_and_LDAP_Authentication
http://192.168.1.4
http://192.168.1.4


- Category changed from Accounts / authentication to SCM

- Status changed from New to Closed

- Resolution set to Invalid

If there is no revisions on SVN, redmine shows "The entry or revision was not found in the repository".

#2 - 2014-06-26 03:26 - moebius ever

While redmine shows  "The entry or revision was not found in the repository", Tortoisesvn cann't access the reposity either, all users in redmine is

invalid. I think no revisons are not the point.

#3 - 2014-06-26 03:45 - moebius ever

- Status changed from Closed to Reopened

I think the problem was caused by 'Working authentication with Redmine's built-in database'  in Redmine 2.0.3 with Subversion and LDAP

Authentication (for Redmine and Subversion through Redmine) on Centos 6, i386 - detailed

#4 - 2014-06-26 05:39 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

moebius ever wrote:

I think the problem was caused by 'Working authentication with Redmine's built-in database'  in Redmine 2.0.3 with Subversion and LDAP

Authentication (for Redmine and Subversion through Redmine) on Centos 6, i386 - detailed

 Do you use Redmine.pm?

#5 - 2014-06-26 09:59 - moebius ever

Toshi MARUYAMA wrote:

moebius ever wrote:

I think the problem was caused by 'Working authentication with Redmine's built-in database'  in Redmine 2.0.3 with Subversion and LDAP

Authentication (for Redmine and Subversion through Redmine) on Centos 6, i386 - detailed

 Do you use Redmine.pm?

 Yes, I followed this:

mkdir /usr/lib/perl5/vendor_perl/Apache

ln -s /var/www/redmine/extra/svn/Redmine.pm /usr/lib/perl5/vendor_perl/Apache/Redmine.pm

#6 - 2014-06-26 10:12 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you.

But we cannot support individual sever setting.

Please use forum and open new issue if you certain Redmine issue.

#7 - 2014-06-27 07:48 - moebius ever

Problem was resolved.

See: http://www.redmine.org/boards/2/topics/42940?r=42964#message-42964
